This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 602643 - logrotate documentation does not discuss script arguments
logrotate documentation does not discuss script arguments
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: logrotate (Show other bugs)
rawhide
i686 Linux
low Severity low
: ---
: ---
Assigned To: Jan Kaluža
Fedora Extras Quality Assurance
:
Depends On: 474013 604981
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 07:46 EDT by Jan Kaluža
Modified: 2010-07-01 14:57 EDT (History)
5 users (show)

See Also:
Fixed In Version: logrotate-3.7.8-9.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 474013
Environment:
Last Closed: 2010-07-01 14:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Kaluža 2010-06-10 07:46:51 EDT
+++ This bug was initially created as a clone of Bug #474013 +++

Description of problem:
The documentation for logrotate does not discuss how it provides arguments to prerotate/postrotate scripts.

Version-Release number of selected component (if applicable):
3.7.4-9


The man page for logrotate does not mention arguments passed to the prerotate and postrotate scripts. However, bugs 241766 and 445554 indicate that logrotate passes as arguments to the script the matching log files that (are about to be / have just been) rotated.

What is the official behavior? If multiple log files are matched in a block, then how does logrotate pass those as arguments? Is the behavior altered by wildcards versus explicit names? Is the behavior altered by sharedscripts versus nosharedscripts?

--- Additional comment from d.tonhofer@m-plify.com on 2010-04-24 12:00:22 EDT ---

Seconding this bug. The man page should actually *also* say that a bash script is actually accepted between the "prerotate/postrotate" and "endscript" tags (Or is it a sh script? how about on a Debian system? Can another shell be chosen?) It is all very experimentalist.

Still open for logrotate-3.7.4-9
Comment 1 Fedora Update System 2010-06-22 06:50:32 EDT
logrotate-3.7.8-9.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/logrotate-3.7.8-9.fc13
Comment 2 Fedora Update System 2010-06-22 13:17:11 EDT
logrotate-3.7.8-9.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update logrotate'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/logrotate-3.7.8-9.fc13
Comment 3 Fedora Update System 2010-07-01 14:57:05 EDT
logrotate-3.7.8-9.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.